using System;

namespace NsDataAccess
{
	/// <summary>
	/// Communicator is used by the web service as an interface of all communicators that knows 
	/// how to communicate with the database.
	/// </summary>
	abstract public class Communicator
	{
		abstract public DS GetDataSet();

		abstract public void Update(DS ds);
	}
}
