using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PDelivery
	{
		protected DataAccessService.DS.DeliveryRow mDataRow = null;

		internal PDelivery(DataAccessService.DS.DeliveryRow dataRow)
		{
			mDataRow = dataRow;
		}

		public PDelivery(int iDeliveryId, int iOrderId, DateTime deliveryDate, Decimal dcDeliveryCharge)
		{
			mDataRow = DataSetManager.DS.Delivery.NewDeliveryRow();
			mDataRow.DeliveryId = iDeliveryId;
			mDataRow.OrderId = iOrderId;
			mDataRow.DeliveryDate = deliveryDate;
			mDataRow.DeliveryCharge = dcDeliveryCharge;
			DataSetManager.DS.Delivery.AddDeliveryRow(mDataRow);
		}

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public DateTime DeliveryDate
		{
			get { return mDataRow.DeliveryDate; }
			set { mDataRow.DeliveryDate = value; }
		}

		public string Address
		{
			get { return mDataRow.Address; }
			set { mDataRow.Address = value; }
		}

		public Decimal DeliveryCharge
		{
			get { return mDataRow.DeliveryCharge; }
			set { mDataRow.DeliveryCharge = value; }
		}

		public Decimal TotalCharge
		{
			get { return mDataRow.TotalCharge; }
			set { mDataRow.TotalCharge = value; }
		}
	}
}