using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PDelivery
	{
		protected DataAccessService.DS.DeliveryRow mDataRow = null;

		internal PDelivery(DataAccessService.DS.DeliveryRow dataRow)
		{
			mDataRow = dataRow;
		}

		/*public PDelivery(POrder order, DateTime deliveryDate, string strAddress, Decimal dcDeliveryCharge)
		{
			mDataRow = DataSetManager.DS.Delivery.NewDeliveryRow();
			mDataRow.OrderId = order.OrderId;
			mDataRow.DeliveryDate = deliveryDate;
			mDataRow.Address = strAddress;
			mDataRow.DeliveryCharge = dcDeliveryCharge;
			DataSetManager.DS.Delivery.AddDeliveryRow(mDataRow);
		}*/

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public PDeliveryItem AddItem(POrderItem orderItem, int iQty)
		{
			NsPersistent.DataAccessService.DS.DeliveryItemRow row = DataSetManager.DS.DeliveryItem.NewDeliveryItemRow();
			row.OrderItemId = orderItem.OrderItemId;
			row.DeliveryId = mDataRow.DeliveryId;
			row.Qty = iQty;
			DataSetManager.DS.DeliveryItem.AddDeliveryItemRow(row);
			return new PDeliveryItem(row);
		}

		public PDeliveryItem [] GetItemDeliveries()
		{
			DataAccessService.DS.DeliveryItemRow [] aRows = mDataRow.GetDeliveryItemRows();
			PDeliveryItem [] aPersistents = new PDeliveryItem[aRows.Length];
			
			for (int i = 0; i < aRows.Length; i++)
			{
				aPersistents[i] = new PDeliveryItem(aRows[i]);
			}

			return aPersistents;
		}

		public POrder GetOrder()
		{
			return new POrder(mDataRow.OrderRow);
		}

		public int DeliveryId
		{
			get { return mDataRow.DeliveryId; }
		}

		public DateTime DeliveryDate
		{
			get { return mDataRow.DeliveryDate; }
			set { mDataRow.DeliveryDate = value; }
		}

		public string Address
		{
			get { return mDataRow.Address; }
			set { mDataRow.Address = value; }
		}
	}
}